API reference

Structured Outputs

4 endpoints. Add your API key in the authentication panel to send test requests from this page.

List structured outputs

GET/api/external/v1/structured-outputs

Returns a list of all structured outputs defined by the user. Structured outputs define the JSON schemas that the AI agents must fill out during call or chat sessions.

Responses

  • 200List of structured outputs
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Create structured output

POST/api/external/v1/structured-outputs

Creates a new structured output definition. Structured outputs define JSON schemas that the AI agents must fill out during call or chat sessions.

Request body application/json

  • idstring (uuid)
  • namestring
  • schemaobject
  • remoteIdstring
  • userIdstring (uuid)
  • versioninteger (int32)
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

Responses

  • 201Structured output created successfully
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Update structured output

PUT/api/external/v1/structured-outputs/{id}

Updates an existing structured output definition by merging incoming fields.

Parameters

  • idstring (uuid)pathRequired

Request body application/json

  • idstring (uuid)
  • namestring
  • schemaobject
  • remoteIdstring
  • userIdstring (uuid)
  • versioninteger (int32)
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

Responses

  • 200Structured output updated successfully
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found

Delete structured output

DELETE/api/external/v1/structured-outputs/{id}

Permanently deletes a structured output definition. This action cannot be undone.

Parameters

  • idstring (uuid)pathRequired

Responses

  • 204Structured output deleted successfully
  • 401Missing or invalid API key
  • 403Key is valid but lacks access to this resource
  • 404Requested resource not found